org.apache.cassandra.db.commitlog

## Class CommitLogArchiver

- java.lang.Object
- - org.apache.cassandra.db.commitlog.CommitLogArchiver

-     public class CommitLogArchiver
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.util.Map<java.lang.String,java.util.concurrent.Future<?>>` | `archivePending`
    `java.util.concurrent.ExecutorService` | `executor`
    `static java.text.SimpleDateFormat` | `format`
    `java.util.concurrent.TimeUnit` | `precision`
    `long` | `restorePointInTime`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CommitLogArchiver()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `maybeArchive(java.lang.String path, java.lang.String name)`
    `void` | `maybeRestoreArchive()`
    `boolean` | `maybeWaitForArchiving(java.lang.String name)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### format

          public static final java.text.SimpleDateFormat format

    - #### archivePending

          public final java.util.Map<java.lang.String,java.util.concurrent.Future<?>> archivePending

    - #### executor

          public final java.util.concurrent.ExecutorService executor

    - #### restorePointInTime

          public final long restorePointInTime

    - #### precision

          public final java.util.concurrent.TimeUnit precision

  - ### Constructor Detail

    - #### CommitLogArchiver

          public CommitLogArchiver()

  - ### Method Detail

    - #### maybeArchive

          public void maybeArchive(java.lang.String path,
                          java.lang.String name)

    - #### maybeWaitForArchiving

          public boolean maybeWaitForArchiving(java.lang.String name)

    - #### maybeRestoreArchive

          public void maybeRestoreArchive()

Copyright © 2014 The Apache Software Foundation